with_vertex_ {igraph} | R Documentation

## Constructor modifier to add vertex attributes

### Description

Constructor modifier to add vertex attributes

### Usage

    with_vertex_(...)

### Arguments

`...` | The attributes to add. They must be named.

### See Also

Other constructor modifiers: `simplified`, `with_edge_`, `with_graph_`, `without_attr`, `without_loops`, `without_multiples`

### Examples

    make_(ring(10),
      with_vertex_(
        color = "#7fcdbb",
        frame.color = "#7fcdbb",
        name = LETTERS[1:10])) %>%
      plot()

[Package igraph version 1.1.2 Index]